org.apache.hc.client5.http.entity

## Class BrotliDecompressingEntity

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.HttpEntityWrapper
  - - org.apache.hc.client5.http.entity.DecompressingEntity
    - - org.apache.hc.client5.http.entity.BrotliDecompressingEntity

All Implemented Interfaces:
  Closeable, AutoCloseable, org.apache.hc.core5.http.EntityDetails, org.apache.hc.core5.http.HttpEntity

    public class BrotliDecompressingEntity
    extends DecompressingEntity

`HttpEntityWrapper` responsible for handling br Content Coded responses.

Since:
  5.2
See Also:
  `GzipDecompressingEntity`

### Constructor Summary

Constructors
Constructor and Description
`BrotliDecompressingEntity(org.apache.hc.core5.http.HttpEntity entity)` Creates a new `DecompressingEntity`.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isAvailable()`

### Methods inherited from class org.apache.hc.client5.http.entity.DecompressingEntity

`getContent, getContentEncoding, getContentLength, writeTo`

### Methods inherited from class org.apache.hc.core5.http.io.entity.HttpEntityWrapper

`close, getContentType, getTrailerNames, getTrailers, isChunked, isRepeatable, isStreaming, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BrotliDecompressingEntity

    public BrotliDecompressingEntity(org.apache.hc.core5.http.HttpEntity entity)

Creates a new `DecompressingEntity`.

Parameters:
  `entity` - factory to create decompressing stream.

### Method Detail

#### isAvailable

    public static boolean isAvailable()